select
  count(*)       as count_rows,
  count(amount)  as count_amount,
  sum(amount)    as sum_amount,
  min(amount)    as min_amount,
  max(amount)    as max_amount,
  avg(amount)    as avg_amount
from
  transaction
where
  (created_at between '2015-03-01 12:00:00' and '2015-03-01 17:00:00') and
  actual_or_reserve = 'Actual' and
  payment_or_recovery = 'Recovery';